# Uses of Class
net.shibboleth.profile.installablecomponent.InstallableComponentVersion

Packages that use InstallableComponentVersion
Package
Description
net.shibboleth.profile.installablecomponent
Classes for "Installable Components".
net.shibboleth.profile.plugin
Classes for plugins.

## Uses of InstallableComponentVersion in net.shibboleth.profile.installablecomponent

Fields in net.shibboleth.profile.installablecomponent declared as InstallableComponentVersion
Modifier and Type
Field
Description
`private final InstallableComponentVersion`
InstallableComponentInfo.VersionInfo.`maxSupported`
Maximum version - this version is NOT SUPPORTED.
`private final InstallableComponentVersion`
InstallableComponentInfo.VersionInfo.`minSupported`
Minimum version - this version IS supported.
Fields in net.shibboleth.profile.installablecomponent with type parameters of type InstallableComponentVersion
Modifier and Type
Field
Description
`private final Map<InstallableComponentVersion,Pair<URL,String>>`
InstallableComponentInfo.`downloadInfo`
The Download information.
`private final Map<InstallableComponentVersion,InstallableComponentInfo.VersionInfo>`
InstallableComponentInfo.`versionInfo`
The support information.
Methods in net.shibboleth.profile.installablecomponent that return InstallableComponentVersion
Modifier and Type
Method
Description
`static InstallableComponentVersion`
InstallableComponentSupport.`getBestVersion(InstallableComponentVersion installIntoVersion, InstallableComponentVersion instaleeVersion, InstallableComponentInfo instaleeInfo)`
Find the best update version (plugin or IdP - call it the instalee).
`InstallableComponentVersion`
InstallableComponentInfo.VersionInfo.`getMaxSupported()`
get Maximum version - this version is NOT SUPPORTED.
`protected abstract InstallableComponentVersion`
InstallableComponentInfo.`getMaxVersion(Properties props, String version)`
Find the max supported version version we can be installed into.
`InstallableComponentVersion`
InstallableComponentInfo.VersionInfo.`getMinSupported()`
get Minimum (IdP) version - this version IS supported.
`protected abstract InstallableComponentVersion`
InstallableComponentInfo.`getMinVersion(Properties props, String version)`
Find the min supported version we can be installed into.
Methods in net.shibboleth.profile.installablecomponent that return types with arguments of type InstallableComponentVersion
Modifier and Type
Method
Description
`Map<InstallableComponentVersion,InstallableComponentInfo.VersionInfo>`
InstallableComponentInfo.`getAvailableVersions()`
Get the raw version info for this component.
Methods in net.shibboleth.profile.installablecomponent with parameters of type InstallableComponentVersion
Modifier and Type
Method
Description
`int`
InstallableComponentVersion.`compareTo(InstallableComponentVersion other)`
Compares this object with the specified object for order.
`static InstallableComponentVersion`
InstallableComponentSupport.`getBestVersion(InstallableComponentVersion installIntoVersion, InstallableComponentVersion instaleeVersion, InstallableComponentInfo instaleeInfo)`
Find the best update version (plugin or IdP - call it the instalee).
`String`
InstallableComponentInfo.`getUpdateBaseName(InstallableComponentVersion version)`
Get the base Name for this version.
`URL`
InstallableComponentInfo.`getUpdateURL(InstallableComponentVersion version)`
Get the base URL for this version.
`static boolean`
InstallableComponentInfo.`isSupportedWithIdPVersion(InstallableComponentInfo.VersionInfo componentVersionInfo, InstallableComponentVersion installIntoVersion)`
Can the specified component be installed into this version? Worker method for all 'isSupportedWith' classes.
`boolean`
InstallableComponentInfo.`isSupportedWithIdPVersion(InstallableComponentVersion componentVersion, InstallableComponentVersion intsallIntoVersion)`
Can the specified component be installed into this version?
Constructors in net.shibboleth.profile.installablecomponent with parameters of type InstallableComponentVersion
Modifier
Constructor
Description
``
`VersionInfo(InstallableComponentVersion max, InstallableComponentVersion min, InstallableComponentSupport.SupportLevel support)`
Constructor.

## Uses of InstallableComponentVersion in net.shibboleth.profile.plugin

Fields in net.shibboleth.profile.plugin declared as InstallableComponentVersion
Modifier and Type
Field
Description
`private InstallableComponentVersion`
PropertyDrivenPlugin.`pluginVersion`
Handles parsing of plugin version.